<?php

       echo "<div class='aut'>Действия</div>";
  if($q['dr_l']!='0'){
    if(isset($_POST['submit'])){
      $colvo=abs(intval($_POST['colvo']));
      if($q['dr_l']>=$colvo){
        mysql_query("UPDATE `empire` SET `narod_abs`=`narod_abs`-$colvo, `dr_l`=`dr_l`-$colvo WHERE `id_u`='".$user['id']."' LIMIT 1");
        msg('Вы успешно превели '.$colvo.' дровосеков в жители');
        
        
      }
      else
      {
     msg('У вас нет столько дровосеков');
   
      }
    }
    else
    {
  echo "<div class='f2'><form method='post' action='?do=16&amp;$passgen'>
  Кол-во дровосеков(макс. ".$q['dr_l']." чел)<br/><input name='colvo' maxlength='5'/>
  <input type='submit' name='submit' value='Перевести'/>
  </form></div>\n";
  }
}
else
{
  echo "<div class='err'>У вас нет дровосеков</div>\n";
}
echo "<div class='aut'><a href='?do=0'>Назад</a></div>";
?>